/* + Hacks {{{ */

.clearfix:before, .clearfix:after { content: "\0020"; display: block; height: 0; overflow: hidden; }
.clearfix:after { clear: both; }
.clearfix { zoom: 1; }

/* + }}} */

/* + Top-level framing {{{ */

/* If page content is less tall than viewport then stick footer to bottom */
body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
#page_content {
    flex-grow: 1;
}

.central_column {
    /*max-width: 58.125rem;*/
    padding: 0 16px;
    margin: 0 auto;
}

/* + }}} */

/* Your Dental Practice */

html, body {
    font-size: 20px;
}

/* + }}} */

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}


/* + Cookie banner {{{ */

#cookie_banner {
    position: fixed;
    bottom: 0;
    left: 0;
    margin: 1em;

    text-align: center;

    padding: 1em 2.5em 1em 1em;
    line-height: 1.5;

    background-color: white;
    border: 1px solid #aaa;
    border-radius: 5px;
    box-shadow: 0px 0px 8px #aaa;

    font-size: 0.9em;
}

#cookie_banner .close_button {
}

#cookie_banner button {
}

#cookie_banner button.close {
    position: absolute;
    top: 0.5em;
    right: 0.5em;

    background-color: transparent;
    border: none;
}

#cookie_banner button.reject {
    width: 120px;

    margin: 0.5em 0.3em 0 0.3em;
    padding: 0.6em;

    background-color: transparent;
    border: 2px solid rgba(94, 194, 211, 1);
    color: rgba(94, 194, 211, 1);

    font-weight: bold;
}

#cookie_banner button.accept {
    width: 120px;

    margin: 0.5em 0.3em 0 0.3em;
    padding: 0.6em;

    color: white;
    border: 2px solid rgba(94, 194, 211, 1);
    background-color: rgba(94, 194, 211, 1);

    font-weight: bold;
}

/* + }}} */
